<!DOCTYPE HTML>
{% extends 'base.html' %}
<html>
  {% load static %}
    <head>
      {% block meta %}
      <script src={% static 'authentication/script.js' %}></script>
      {% endblock meta %}
    </head>

    <body>
      {% block reg_but %}disabled{% endblock reg_but %}
      {% block content %}
      <div class="container">
        <div class="row"></div>
        <div class="row align-items-center">
          <div class="col"></div>
          <div class="col-6">
            <form method="POST" action="{% url 'authentication:register' %}" class="">
            {% csrf_token %}
            <figure class="text-center">
              <h3>Siruco - Registrasi</h3>
            </figure>

            <div class="mb-3">
              <label for="username" class="form-label">Username</label>
              <input type="username" id="username" name="username" class="form-width form-control" aria-describedby="emailHelp" placeholder="Username" required>
            </div>

            <div class="mb-3">
              <label for="password" class="form-label">Password</label>
              <input type="password" id="password" name="password" class="form-width form-control" placeholder="Password" required>
            </div>

            <p>Peran</p>

            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" name="peran" id="admin" value="admin sistem" onclick="check()">
              <label class="form-check-label" for="admin">Admin Sistem</label>
            </div>

            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" name="peran" id="pengguna-publik" value="pengguna publik" onclick="check()">
              <label class="form-check-label" for="pengguna-publik">Pengguna Publik</label>
            </div>

            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" name="peran" id="dokter" value="dokter" onclick="check()">
              <label class="form-check-label" for="dokter">Dokter</label>
            </div>

            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" name="peran" id="admin-satgas" value="admin satgas" onclick="check()">
              <label class="form-check-label" for="admin-satgas">Admin Satgas</label>
            </div>

            <div id="form-tambahan">
            </div>

            <select class="form-select" name="kode" aria-label="Default select example" id='form-admin-satgas' style="display: none;">
              <option>Faskes</option>
              {% for kode in context %}
              <option value="{{kode}}">{{ kode }}</option>
              {% endfor %}
            </select>
            <br>

            <figure class="text-center">
              {% for message in messages %}
              {{ message }}
              <br>
              {% endfor %}
              <button type="submit" class="btn btn-outline-primary">Register</button>

              <br><br>
              <p>Sudah punya akun? <a href="{% url 'authentication:index' %}">Login</a></p>
            </figure>
          </form>
        </div>
        <div class="col"></div>
      </div>
    </div>

      
    {% endblock content %}
      
    </body>
</html>